> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a project by ID

GET https://{tenant_name}.benchling.com/api/v2/projects/{project_id}

Get a project by ID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/projects/get-project

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `project_id` (string, required) — ID of project to get

## Response

### 200

OK

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)
- `owner` (ProjectOwner, optional)

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### ArchiveRecord

- `reason` (string, optional)

### ProjectOwner

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### Organization

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "archiveRecord": {
    "reason": "Made in error"
  },
  "id": "string",
  "name": "string",
  "owner": {
    "handle": "string",
    "id": "string",
    "name": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/projects/project_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/projects/project_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```